@model List<Movimentacao>
@{ Layout = "/Views/Shared/Layout.cshtml";}

<h1>Movimentações de Produtos</h1>

<div>
    <form action="/movimentacao/search" method="post">
        <div class="form-group" style="margin-bottom: 10px;">
            <input type="text" name="pesquisa" class="form-control" placeholder="Pesquise aqui">
        </div>
        <div style="margin-bottom: 15px;">
            <input type="submit" class="btn btn-primary" value="Buscar" />
            <input type="reset" class="btn btn-secondary" value="Limpar" onclick="redirect()" />
        </div>
    </form>
</div>

<table class="table table-hover">
    @foreach (Movimentacao m in Model)
    {
    <tr>
        
        <td>@m.Data</td>
        <td>@m.Status</td>
        <td>@m.NomeProduto</td>
        <td>@m.QtdMovimento</td>
        <td>@m.Funcionario</td>
        
    
        
        <td><a href="/movimentacao/details/@m.IdMov" class="btn btn-primary">Detalhes</a></td>
    </tr>
    } 
</table>

<script>
    function redirect(){
        location.href="/movimentacao/index"
    }
</script>